Package org.zkoss.bind.xel.zel

## Class BindELResolver

- java.lang.Object
- - org.zkoss.zel.ELResolver
  - - org.zkoss.xel.zel.XelELResolver
    - - org.zkoss.bind.xel.zel.BindELResolver

- Direct Known Subclasses:
    `BindELResolverEx`

      public class BindELResolver
      extends XelELResolver

  ELResolver for Binding; handle Form bean.
  Since:
    6.0.0
  Author:
    henrichen

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.zkoss.xel.zel.XelELResolver

      `XelELResolver.StandardBeanNameResolver`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected PathELResolver` | `_pathResolver` |
    `protected CompositeELResolver` | `_resolver` |

    - ### Fields inherited from class org.zkoss.xel.zel.XelELResolver

      `_ctx`

    - ### Fields inherited from class org.zkoss.zel.ELResolver

      `RESOLVABLE_AT_DESIGN_TIME, TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BindELResolver​(XelContext ctx)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected ELResolver` | `getELResolver()` |
    `protected ImplicitObjectELResolver` | `getImplicitResolver()` |
    `protected ELResolver` | `getSuperELResolver()` |
    `java.lang.Object` | `getValue​(ELContext ctx, java.lang.Object base, java.lang.Object property)` |
    `protected void` | `init()` |
    `java.lang.Object` | `invoke​(ELContext ctx, java.lang.Object base, java.lang.Object method, java.lang.Class[] paramTypes, java.lang.Object[] params)` | Invokes a method on the the given object.
    `void` | `setValue​(ELContext ctx, java.lang.Object base, java.lang.Object property, java.lang.Object value)` |
    `protected void` | `tieValue​(ELContext elCtx, java.lang.Object base, java.lang.Object property, java.lang.Object value, boolean allownotify)` |

    - ### Methods inherited from class org.zkoss.xel.zel.XelELResolver

      `getCommonPropertyType, getFeatureDescriptors, getType, getXelContext, isReadOnly, resolve`

    - ### Methods inherited from class org.zkoss.zel.ELResolver

      `convertToType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _resolver

          protected CompositeELResolver _resolver

    - #### _pathResolver

          protected PathELResolver _pathResolver

  - ### Constructor Detail

    - #### BindELResolver

          public BindELResolver​(XelContext ctx)

  - ### Method Detail

    - #### init

          protected void init()

    - #### getSuperELResolver

          protected ELResolver getSuperELResolver()

    - #### getELResolver

          protected ELResolver getELResolver()

      Overrides:
        `getELResolver` in class `XelELResolver`

    - #### getImplicitResolver

          protected ImplicitObjectELResolver getImplicitResolver()

    - #### getValue

          public java.lang.Object getValue​(ELContext ctx,
                                           java.lang.Object base,
                                           java.lang.Object property)
                                    throws PropertyNotFoundException,
                                           ELException

      Overrides:
        `getValue` in class `XelELResolver`
      Parameters:
        `ctx` - The EL context for this evaluation
        `base` - The base object on which the property is to be found
        `property` - The property whose value is to be returned
      Returns:
        the value of the provided property
      Throws:
        `PropertyNotFoundException` - If the base/property combination provided to the resolver is one that the resolver can handle but no match was found or a match was found but was not readable
        `ELException` - Wraps any exception throw whilst resolving the property

    - #### invoke

          public java.lang.Object invoke​(ELContext ctx,
                                         java.lang.Object base,
                                         java.lang.Object method,
                                         java.lang.Class[] paramTypes,
                                         java.lang.Object[] params)
                                  throws MethodNotFoundException

      Description copied from class: `ELResolver`
      Invokes a method on the the given object. This default implementation always returns `null`.
      Overrides:
        `invoke` in class `XelELResolver`
      Parameters:
        `ctx` - The EL context for this evaluation
        `base` - The base object on which the method is to be found
        `method` - The method to invoke
        `paramTypes` - The types of the parameters of the method to invoke
        `params` - The parameters with which to invoke the method
      Returns:
        Always `null`
      Throws:
        `MethodNotFoundException`

    - #### setValue

          public void setValue​(ELContext ctx,
                               java.lang.Object base,
                               java.lang.Object property,
                               java.lang.Object value)
                        throws PropertyNotFoundException,
                               PropertyNotWritableException,
                               ELException

      Overrides:
        `setValue` in class `XelELResolver`
      Parameters:
        `ctx` - The EL context for this evaluation
        `base` - The base object on which the property is to be found
        `property` - The property whose value is to be set
        `value` - The value to set the property to
      Throws:
        `PropertyNotFoundException` - If the base/property combination provided to the resolver is one that the resolver can handle but no match was found
        `PropertyNotWritableException` - If the base/property combination provided to the resolver is one that the resolver can handle but the property was not writable
        `ELException` - Wraps any exception throw whilst resolving the property

    - #### tieValue

          protected void tieValue​(ELContext elCtx,
                                  java.lang.Object base,
                                  java.lang.Object property,
                                  java.lang.Object value,
                                  boolean allownotify)